#pragma once
#include <myapp/configuration/config.h>
#include <myapp/configuration/errors.h>
#include <string>

namespace myapp::configuration {

class config_provider
{
public:
    virtual ~config_provider() = default;
    virtual config from_string(std::string const&) = 0;
    virtual config from_file(std::string const&) = 0;
};

} /* namespace myapp::configuration */
